﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DPO7254: (1 yr) VER IEEE /9500/3200+5Hd,LFCTR
DATE:                  2017-07-24 06:28:45
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       273
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Datron 9530 on channel 5
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Source(s):
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series Digital Phosphor
#        Oscilloscopes Specification and Performance Verification
#        Technical Reference PN 077-0063-01
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         2.5GH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         2.5GH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         2.5GH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         2.5GH                        1Vpp           LS    S  L
  1.010  M9500                       CH5
  1.011  9500         2.5GH                        1Vpp           LS    S  L
  1.012  IEEE         [@LFCTR]
  1.013  ENDIF

  1.014  MATH         @Bandwidth = 2.5E+9; @NumChan = 4; @MultiHd = 1

  1.015  ASK-   R   Q N              P                            A        V

  1.016  IF           NOT(VERSIONCHECK("8.0"))
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.023  HEAD         PRELIMINARY INSTRUCTIONS
  1.024  TARGET
  1.025  DISP         Ensure a minimum DUT warm-up time of at least
  1.025  DISP         20 minutes has been allowed to elapse, prior
  1.025  DISP         to beginning verification.
  1.026  HEAD

  1.027  CALL         Sub Tek DPO7000 Setup IEEE
  1.028  CALL         Sub DUT Connection GPIB

  1.029  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.030  MATH         @DUT_Model        = "DPO7254"
  1.031  MATH         @DUT_AssetNum     = UUT()

  1.032  IF           NOT(EMPTY(@DUT_AssetNum))
  1.033  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.034  ENDIF

  1.035  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.036  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.037  JMPL         END                             @Abort
  1.038  CALL         Sub Tek DPO7000 Check Firmware Version
  1.039  JMPL         END                             @Abort

  1.040  IEEE2        *RST

  1.041  HEAD         EQUIPMENT REQUIREMENTS
  1.042  OPBR         -z Do you want to review the list of additional
  1.042  OPBR         equipment and/or accessories required?

  1.043  IF           MEM1
  1.044  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.044  DISP         - 1 ea. BNC Shorting Cap (f)
  1.045  ENDIF

  1.046  OPBR         -z Do you want to review the list of flexible standards,
  1.046  OPBR         additional equipment and/or accessories required?

  1.047  IF           MEM1
  1.048  DISP         The indicated minimum use specifications must be
  1.048  DISP         satisfied when configuring the following devices
  1.048  DISP         as flexible standards:
  1.049  DISP
  1.049  DISP         LF Counter (LFCTR):
  1.049  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.049  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.049  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.049  DISP         [32] or equivalent

  1.050  DISP         Additional equipment/accessories required:
  1.050  DISP
  1.050  DISP         - Frequency Standard, suitable for use with configured
  1.050  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.050  DISP         [32] PM9678B option or equivalent (if required)
  1.051  ENDIF

  1.052  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.053  JMPL         END                           @Abort
  1.054  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.055  JMPL         END                           @Abort

  1.056  DISP         Click the X (close) button to exit the instrument
  1.056  DISP         calibration control window.

  1.057  OPBR         -z The purpose of functional tests are to confirm the
  1.057  OPBR         DUT functions properly; that is, they verify the DUT
  1.057  OPBR         features operate. They do not verify that they operate
  1.057  OPBR         within limits. If more extensive confirmation of
  1.057  OPBR         performance is desired, please execute the full
  1.057  OPBR         performance test.
  1.057  OPBR
  1.057  OPBR         Do you want to execute the functional tests?

  1.058  IF           MEM1
  1.059  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.060  ENDIF

  1.061  MATH         @Chan = 1
  1.062  M9500                       CH1
  1.063  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.064  MATH         @Chan = 2
  1.065  M9500                       CH2
  1.066  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.067  MATH         @Chan = 3
  1.068  M9500                       CH3
  1.069  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.070  MATH         @Chan = 4
  1.071  M9500                       CH4
  1.072  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500

  1.073  MATH         @Chan = 1
  1.074  M9500                       CH1
  1.075  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.076  MATH         @Chan = 2
  1.077  M9500                       CH2
  1.078  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.079  MATH         @Chan = 3
  1.080  M9500                       CH3
  1.081  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.082  MATH         @Chan = 4
  1.083  M9500                       CH4
  1.084  CALL         Sub Tek DPO7254 (1 yr) Bandwidth VER IEEE /9500/3200
  1.085  JMPL         TIME_QUALIFIED

  1.086  LABEL        TIMEBASE_ACCURACY
  1.087  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.088  JMPL         AUX_TRIGGER_OUT

  1.089  LABEL        TIMEBASE_REF
  1.090  MATH         @Chan = 1
  1.091  M9500                       CH1
  1.092  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /9500

  1.093  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.094  MATH         @Chan = 2
  1.095  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.096  MATH         @Chan = 3
  1.097  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.098  MATH         @Chan = 4
  1.099  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500

  1.100  DISP         Remove all connections.
  1.101  JMPL         TIMEBASE_ACCURACY

  1.102  LABEL        TIME_QUALIFIED
  1.103  MATH         @Chan = 1
  1.104  M9500                       CH1
  1.105  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /9500

  1.106  MATH         @Chan = 1
  1.107  M9500                       CH1
  1.108  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.109  M9500                       CH15
  1.110  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.111  M9500                       CH1
  1.112  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.113  M9500                       CH15
  1.114  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.115  MATH         @Chan = 2
  1.116  M9500                       CH2
  1.117  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.118  M9500                       CH25
  1.119  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.120  M9500                       CH2
  1.121  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.122  M9500                       CH25
  1.123  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.124  MATH         @Chan = 3
  1.125  M9500                       CH3
  1.126  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.127  M9500                       CH35
  1.128  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.129  M9500                       CH3
  1.130  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.131  M9500                       CH35
  1.132  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.133  MATH         @Chan = 4
  1.134  M9500                       CH4
  1.135  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.136  M9500                       CH45
  1.137  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.138  M9500                       CH4
  1.139  CALL         Sub Tek DPO7254 (1 yr) Trig Full BW VER IEEE /9500/3200
  1.140  M9500                       CH45
  1.141  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.142  M9500        *
  1.143  JMPL         TIMEBASE_REF

  1.144  LABEL        AUX_TRIGGER_OUT
  1.145  MATH         @Chan = 1
  1.146  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.147  M9500                       CH1
  1.148  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /9500

  1.149  IEEE2        *OPT?[I$]
  1.150  MATH         Option = MEM2

  1.151  IF           FIND(Option, "PTM", 1)
  1.152  M9500                       CH1
  1.153  CALL         Sub Tek DPO7000 (1 yr) Baud Rate Lmt VER IEEE /9500/600
  1.154  ENDIF

  1.155  IF           FIND(Option, "MTM", 1)
  1.156  M9500                       CH1
  1.157  CALL         Sub Tek DPO7000 (1 yr) Serial Trig VER IEEE /9500/3200
  1.158  ENDIF

  1.159  LABEL        END
  1.160  IEEE2        *RST

  1.161  IF           @Abort
  1.162  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.163  ENDIF

  1.164  END
